[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Exp

Exponentiate

## Declaration

Source position: mathh.inc line 113

`function Exp(`
`d: ValReal`
`):ValReal;`

## Description

Exp returns the exponent of X, i.e. the number e to the power X.

## Errors

None.

## See also

Ln |  | Calculate logarithm

## Example

    Program Example22;

    { Program to demonstrate the Exp function. }

    begin
      Writeln (Exp(1):8:2); { Should print 2.72 }
    end.